]> git.saurik.com Git - apt.git/blobdiff - dselect/install
if conf unset, don't read / as conf/pref/sources dir
[apt.git] / dselect / install
index 109307f4de94b513f3f006ace46ed0f27c3f5f39..75f0c0fc4bf2300751c247b6725305cdc9c07329 100755 (executable)
@@ -5,18 +5,19 @@ TEXTDOMAIN="apt"
 
 # Get the configuration from /etc/apt/apt.conf
 CLEAN="prompt"
-OPTS="-f"
+OPTS=""
+DSELECT_UPGRADE_OPTS="-f"
 APTGET="/usr/bin/apt-get"
 DPKG="/usr/bin/dpkg"
 DPKG_OPTS="--admindir=$1"
 APT_OPT0="-oDir::State::status=$1/status"
 APT_OPT1="-oDPkg::Options::=$DPKG_OPTS"
 set -e
-RES=`apt-config shell CLEAN DSelect::Clean OPTS DSelect::Options \
+RES=$(apt-config shell CLEAN DSelect::Clean OPTS DSelect::Options \
                       DPKG Dir::Bin::dpkg/f APTGET Dir::Bin::apt-get/f \
                      ARCHIVES Dir::Cache::Archives/d \
                      WAIT DSelect::WaitAfterDownload/b \
-                     CHECKDIR DSelect::CheckDir/b`
+                     CHECKDIR DSelect::CheckDir/b)
 eval $RES
 set +e
 
@@ -47,12 +48,12 @@ yesno() {
 }
 
 if [ "$WAIT" = "true" ]; then
-   $APTGET $OPTS "$APT_OPT0" "$APT_OPT1" -d dselect-upgrade
-   echo $"Press enter to continue." && read RES
-   $APTGET $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade
+   $APTGET $DSELECT_UPGRADE_OPTS $OPTS "$APT_OPT0" "$APT_OPT1" -d dselect-upgrade
+   echo $"Press [Enter] to continue." && read RES
+   $APTGET $DSELECT_UPGRADE_OPTS $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade
    RES=$?
 else
-   $APTGET $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade
+   $APTGET $DSELECT_UPGRADE_OPTS $OPTS "$APT_OPT0" "$APT_OPT1" dselect-upgrade
    RES=$?
 fi
 
@@ -64,12 +65,12 @@ fi
 # Finished OK
 if [ $RES -eq 0 ]; then
 
-   if [ `ls $ARCHIVES $ARCHIVES/partial | egrep -v "^lock$|^partial$" | wc -l` \
+   if [ $(ls $ARCHIVES $ARCHIVES/partial | grep -E -v "^lock$|^partial$" | wc -l) \
         -eq 0 ]; then
       exit 0
    fi
 
-   NEWLS=`ls -ld $ARCHIVES`
+   NEWLS=$(ls -ld $ARCHIVES)
    if [ "$CHECKDIR" = "true" ]; then
       if [ "$OLDLS" = "$NEWLS" ]; then
          exit 0
@@ -77,21 +78,21 @@ if [ $RES -eq 0 ]; then
    fi
    
    # Check the cleaning mode
-   case `echo $CLEAN | tr '[:upper:]' '[:lower:]'` in
+   case $(echo $CLEAN | tr '[:upper:]' '[:lower:]') in
      auto)
        $APTGET "$APT_OPT0" "$APT_OPT1" autoclean &&
-          echo $"Press enter to continue." && read RES && exit 0;
+          echo $"Press [Enter] to continue." && read RES && exit 0;
        ;;
      always)
        $APTGET "$APT_OPT0" "$APT_OPT1" clean &&
-          echo $"Press enter to continue." && read RES && exit 0;
+          echo $"Press [Enter] to continue." && read RES && exit 0;
        ;;
      prompt)
        exec 3>&1
        echo -n $"Do you want to erase any previously downloaded .deb files?"
-       if [ `yesno "" y` = y ]; then
+       if [ $(yesno "" y) = y ]; then
           $APTGET "$APT_OPT0" "$APT_OPT1" clean &&
-           echo $"Press enter to continue." && read RES && exit 0;
+           echo $"Press [Enter] to continue." && read RES && exit 0;
        fi
        ;;
      *) 
@@ -102,7 +103,7 @@ else
    echo $"will be configured. This may result in duplicate errors"
    echo $"or errors caused by missing dependencies. This is OK, only the errors"
    echo $"above this message are important. Please fix them and run [I]nstall again"
-   echo $"Press enter to continue."
+   echo $"Press [Enter] to continue."
    read RES && $DPKG "$DPKG_OPTS" --configure -a
    exit 100
 fi